Bug 489114 - [enh] recognize newly installed VPN plugins at runtime
[enh] recognize newly installed VPN plugins at runtime
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-07 14:14 EST by Andrew Hecox
Modified: 2010-12-05 01:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:59:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Hecox 2009-03-07 14:14:43 EST
using:

 NetworkManager-0.7.0.99-1.fc11.i586
 NetworkManager-vpnc-0.7.0.99-1.fc11.i586

I created a new vpnc vpn connection. The connection did not show up (and hence couldn't be used) under the vpn connection drop down until I did 'service NetworkManager restart'. 

I don't know if that's a regression: I hadn't tried to use the vpn plugin before.
Comment 1 Jessica Sterling 2009-03-08 15:25:50 EDT
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2009-06-09 07:59:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Paul W. Frields 2009-07-11 10:05:27 EDT
This problem persists in Fedora 11 final:
NetworkManager-gnome-0.7.1-4.git20090414.fc11.x86_64

I believe this *is* a regression, since I added vpnc entries in Fedora 10 and don't recall hitting this bug.
Comment 4 Dan Williams 2009-11-06 01:52:18 EST
This will happen if you have just installed NM-vpnc or one of the other vpn plugins, and then immediately create a connection.  NM needs a restart before it'll see new VPN plugins.
Comment 5 Dan Williams 2010-08-17 16:04:07 EDT
Fixed upstream on 0.8.x and NM master.

(master)
a5c15a2ca3c328421072762fe93011838ff80c76
c4db66c7edc6589d96885387a2952706a1096e80
46afadc02c127031badf0682e850dabb1e236882

(0.8.x)
02ad27fd53356e8b7fe0eb43efff16457c1fd61d
7915a75d2ec7404c4ee191485591abf5f6eb073c
f3cbc74607845cd7ed1af4bccce5770152444d7d
Comment 6 Bug Zapper 2010-11-04 07:28:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-05 01:59:43 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.